#include "SYSTICK.h"

volatile uint32_t millis_cnt=0;
volatile uint32_t delay_time=0;

void SysTick_Handler(void)
{
	millis_cnt++;
	if(delay_time)delay_time--;
	BUZZER_PROCESS();
}

uint32_t millis(void)
{
	return millis_cnt;
}

void delay (uint32_t milliseconds)
{
	delay_time=milliseconds;
	while(delay_time);
}
